Package org.eclipse.help.internal

# Class HelpPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.help.internal.HelpPlugin

All Implemented Interfaces:
  `BundleActivator`

public class HelpPlugin extends Plugin
Help System Core plug-in

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HelpPlugin.IHelpProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BASE_TOCS_KEY`
`static boolean`
`DEBUG`
`static boolean`
`DEBUG_CONTEXT`
`static boolean`
`DEBUG_CRITERIA`
`static boolean`
`DEBUG_INDEX`
`static boolean`
`DEBUG_SEARCH`
`static boolean`
`DEBUG_TOC`
`static final String`
`FILTER_INFOCENTER_KEY`
`static final String`
`HELP_DATA_KEY`
`static final String`
`IGNORED_INDEXES_KEY`
`static final String`
`IGNORED_TOCS_KEY`
`static final String`
`PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`HelpPlugin()`

## Method Summary

Modifier and Type
Method
Description
`static File`
`getConfigurationDirectory()`
`static org.eclipse.help.internal.extension.ContentExtensionManager`
`getContentExtensionManager()`
Used to obtain the ContentExtensionManager
`static org.eclipse.help.internal.context.ContextManager`
`getContextManager()`
Used to obtain Context Manager returns an instance of ContextManager
`static org.eclipse.help.internal.criteria.CriteriaManager`
`getCriteriaManager()`
`static HelpPlugin`
`getDefault()`
`HelpPlugin.IHelpProvider`
`getHelpProvider()`
`static org.eclipse.help.internal.index.IndexManager`
`getIndexManager()`
`static org.eclipse.help.internal.toc.TocManager`
`getTocManager()`
Used to obtain Toc Navigation Manager
`void`
`setHelpProvider(HelpPlugin.IHelpProvider helpProvider)`
`void`
`start(BundleContext context)`
Starts up this plug-in.
`void`
`stop(BundleContext context)`
Stops this plug-in.

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID

See Also:
  - Constant Field Values

### DEBUG

public static boolean DEBUG

### DEBUG_CONTEXT

public static boolean DEBUG_CONTEXT

### DEBUG_SEARCH

public static boolean DEBUG_SEARCH

### DEBUG_TOC

public static boolean DEBUG_TOC

### DEBUG_INDEX

public static boolean DEBUG_INDEX

### DEBUG_CRITERIA

public static boolean DEBUG_CRITERIA

### HELP_DATA_KEY

public static final String HELP_DATA_KEY

See Also:
  - Constant Field Values

### BASE_TOCS_KEY

public static final String BASE_TOCS_KEY

See Also:
  - Constant Field Values

### IGNORED_TOCS_KEY

public static final String IGNORED_TOCS_KEY

See Also:
  - Constant Field Values

### IGNORED_INDEXES_KEY

public static final String IGNORED_INDEXES_KEY

See Also:
  - Constant Field Values

### FILTER_INFOCENTER_KEY

public static final String FILTER_INFOCENTER_KEY

See Also:
  - Constant Field Values

## Constructor Details

### HelpPlugin

public HelpPlugin()

## Method Details

### getDefault

public static HelpPlugin getDefault()

Returns:
  the singleton instance of the plugin

### getTocManager

public static org.eclipse.help.internal.toc.TocManager getTocManager()
Used to obtain Toc Navigation Manager

Returns:
  instance of TocManager

### getContextManager

public static org.eclipse.help.internal.context.ContextManager getContextManager()
Used to obtain Context Manager returns an instance of ContextManager

### getContentExtensionManager

public static org.eclipse.help.internal.extension.ContentExtensionManager getContentExtensionManager()
Used to obtain the ContentExtensionManager

### getIndexManager

public static org.eclipse.help.internal.index.IndexManager getIndexManager()

### getCriteriaManager

public static org.eclipse.help.internal.criteria.CriteriaManager getCriteriaManager()

### getHelpProvider

public HelpPlugin.IHelpProvider getHelpProvider()

### setHelpProvider

public void setHelpProvider(HelpPlugin.IHelpProvider helpProvider)

### start

public void start(BundleContext context) throws Exception
Description copied from class: `Plugin`
Starts up this plug-in.

This method should be overridden in subclasses that need to do something when this plug-in is started. Implementors should call the inherited method at the first possible point to ensure that any system requirements can be met.

If this method throws an exception, it is taken as an indication that plug-in initialization has failed; as a result, the plug-in will not be activated; moreover, the plug-in will be marked as disabled and ineligible for activation for the duration.

Note 1: This method is automatically invoked by the platform the first time any code in the plug-in is executed.

Note 2: This method is intended to perform simple initialization of the plug-in environment. The platform may terminate initializers that do not complete in a timely fashion.

Note 3: The class loader typically has monitors acquired during invocation of this method. It is strongly recommended that this method avoid synchronized blocks or other thread locking mechanisms, as this would lead to deadlock vulnerability.

Note 4: The supplied bundle context represents the plug-in to the OSGi framework. For security reasons, it is strongly recommended that this object should not be divulged.

Note 5: This method and the `Plugin.stop(BundleContext)` may be called from separate threads, but the OSGi framework ensures that both methods will not be called simultaneously.

Clients must never explicitly call this method.

Specified by:
  `start` in interface `BundleActivator`
Overrides:
  `start` in class `Plugin`
Parameters:
  `context` - the bundle context for this plug-in
Throws:
  `Exception` - if this plug-in did not start up properly

### getConfigurationDirectory

public static File getConfigurationDirectory()

### stop

public void stop(BundleContext context) throws Exception
Description copied from class: `Plugin`
Stops this plug-in.

This method should be re-implemented in subclasses that need to do something when the plug-in is shut down. Implementors should call the inherited method as late as possible to ensure that any system requirements can be met.

Plug-in shutdown code should be robust. In particular, this method should always make an effort to shut down the plug-in. Furthermore, the code should not assume that the plug-in was started successfully.

Note 1: If a plug-in has been automatically started, this method will be automatically invoked by the platform when the platform is shut down.

Note 2: This method is intended to perform simple termination of the plug-in environment. The platform may terminate invocations that do not complete in a timely fashion.

Note 3: The supplied bundle context represents the plug-in to the OSGi framework. For security reasons, it is strongly recommended that this object should not be divulged.

Note 4: This method and the `Plugin.start(BundleContext)` may be called from separate threads, but the OSGi framework ensures that both methods will not be called simultaneously.

Clients must never explicitly call this method.

Specified by:
  `stop` in interface `BundleActivator`
Overrides:
  `stop` in class `Plugin`
Parameters:
  `context` - the bundle context for this plug-in
Throws:
  `Exception` - if this method fails to shut down this plug-in